# norootforbuild

%define		soname		0
%define		realname	libmad

Name:		%{realname}%{soname}
Version:	0.15.1b
Release:	8.7

Summary:	An MPEG audio decoder library
Summary(de):	MAD ist ein high-quality MPEG audio decoder.
Group:		System/Libraries
License:	GPL
URL:		http://www.underbit.com/products/mad/

Source:		http://switch.dl.sourceforge.net/sourceforge/mad/%{realname}-%version.tar.bz2

Patch0:		%{realname}-%{version}-automake.patch
Patch1:		%{realname}-%{version}-pkgconfig.patch
Patch2:		%{realname}-%{version}-gcc43.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-build

Provides:	mad
Obsoletes:	mad

BuildRequires:	gcc-c++

%description
MAD is a high-quality MPEG audio decoder. It currently supports MPEG-1
and the MPEG-2 extension to Lower Sampling Frequencies, as well as the
so-called MPEG 2.5 format. All three audio layers (Layer I, Layer II,
and Layer III a.k.a. MP3) are fully implemented.

MAD supports high quality 24-bit PCM output for modern audio
technologies. MAD computes using 100% fixed-point (integer)
computation, so you can run it without a floating point unit.

Authors:
--------
    Underbit Technologies, Inc. <support@underbit.com>


%package -n %{realname}-devel
Summary:	Development package for mad
Group:		Development/Libraries/C and C++
Requires:	%{name} = %{version}
Provides:	mad-devel
Obsoletes:	mad-devel

%description -n %{realname}-devel
This package contains the header files and static libraries needed to
develop applications with libmad.

Authors:
--------
    Underbit Technologies, Inc. <support@underbit.com>


%prep
%setup -q -n %{realname}-%{version}
%patch0
%patch1 -p1
%patch2 -p1


%build
%configure
%__make %{?jobs:-j %jobs}


%install
%makeinstall
%{__install} -D -m 0644 mad.pc %{buildroot}%{_libdir}/pkgconfig/mad.pc


%post
%if 0%{?suse_version}
%run_ldconfig
%else
/sbin/ldconfig
%endif

%postun
%if 0%{?suse_version}
%run_ldconfig
%else
/sbin/ldconfig
%endif


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root)
%doc CHANGES COPYING COPYRIGHT CREDITS README TODO VERSION
%{_libdir}/lib*.so.*


%files -n %{realname}-devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.*a
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Sun Sep 30 2007 Carsten Schoene <cs@linux-administrator.com>
- import for SLE_10 build

